package de.ctdo.bunti.model;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class Strobe1500Test {
    Strobe1500 dut;

    @Before
    public void setUp() throws Exception {
        dut = new Strobe1500(23,42,"device");

    }

    @Test
    public void testSpeed() throws Exception {
        dut.setSpeed(0);
        assertEquals(0,dut.getSpeed());
        dut.setSpeed(128);
        assertEquals(128,dut.getSpeed());
        dut.setSpeed(255);
        assertEquals(255,dut.getSpeed());
    }

    @Test
    public void testIntensity() throws Exception {
        dut.setIntensity(0);
        assertEquals(0,dut.getIntensity());
        dut.setIntensity(128);
        assertEquals(128,dut.getIntensity());
        dut.setIntensity(255);
        assertEquals(255,dut.getIntensity());
    }

    @Test
    public void testMode() throws Exception {
        dut.setMode(0);
        assertEquals(0,dut.getMode());
        dut.setMode(128);
        assertEquals(128,dut.getMode());
        dut.setMode(255);
        assertEquals(255,dut.getMode());
    }

    @Test
    public void testSwitchOff() throws Exception {
        dut.switchOff();
        assertEquals(0,dut.getSpeed());
        assertEquals(0,dut.getIntensity());
        assertEquals(0,dut.getMode());
    }

    @Test
    public void testSwitchOn() throws Exception {
        dut.switchOn();
        assertEquals(255,dut.getSpeed());
        assertEquals(255,dut.getIntensity());
        assertEquals(0,dut.getMode());
    }
}
